//流程模块【meeting_room.会议室】下录入页面自定义js页面,初始函数
function initbodys(){
    // $("#AltS").removeAttr('onclick');
    // 监听提交按钮的点击事件
    // $("#AltS").click(function() {
    //     handleCheckButtonClick();
    // });
}

function handleCheckButtonClick() {
    // 获取会议室名
    var roomName = $("input[name=room_name]").val();
    // 容纳人数
    var capacity = $("input[name=capacity]").val();
    // 容纳人数
    var dsc = $("*[name=desc]").val();

    // 构建 POST 请求体参数
    var requestBody = {
        "is_vip": false,
        "name": roomName,
        "capacity":capacity,
        "dsc":dsc
    };
    var url = geturlact('createMeetingRoomPost');
    console.log(url);
    sendPostRequest(url, requestBody);

}

// function sendPostRequest(url, data) {
//     $.ajax({
//         type: "POST",
//         url: url,
//         data: JSON.stringify(data),
//         contentType: "application/json",
//         success: function(response) {
//             var jsonArray = JSON.parse(response);
//             var code = jsonArray['code'];
//             if (code === 0) {
//                 var roomId = jsonArray['data']['id'];
//                 $("input[name=room_id]").val(roomId);
//                 // 执行原提交方法
//                 c.save();
//             } else {
//                 var msg = jsonArray['msg'];
//                 alert(msg);
//             }
//         },
//         error: function(xhr, status, error) {
//             // 处理错误
//             console.error(error);
//             alert(error);
//         }
//     });
// }